### Virtual Method

# AppStreamCompose Unit file_exists

#### Declaration [src]

    gboolean
    file_exists (
      AscUnit* unit,
      const gchar* filename
    )

#### Description [src]

Returns `TRUE` if the filename exists and is readable using %asc_unit_read_data.

#### Parameters

`filename`

  Type: `const gchar*`

  The filename to check.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.